%define name		multi-gnome-terminal
%define version		1.3.13
%define release		2mdk
%define summary		The Enhanced GNOME Terminal.
%define group		Terminals
%define iconname	%{name}.png

%define localstatedir   /var/lib

%define	pty_helper_xs	2755
%define pty_helper_user	root
%define	pty_helper_grp	utmp

Summary:		%{summary}
Name:			%{name}
Version:		%{version}
Release:		%{release}
License:		GPL
Group:			%{group}
Source:			http://multignometerm.sf.net/%{name}-%{version}.tar.bz2
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:			http://multignometerm.sf.net
Prefix:			%{_prefix}
BuildRequires:		flex
BuildRequires:		gcc
BuildRequires:		libglade-devel
BuildRequires:		scrollkeeper

BuildRequires:		ImageMagick
Requires:		common-licenses
BuildRequires:		gdk-pixbuf-devel >= 0.7.0, gtk+-devel >= 1.2.5, gnome-libs-devel >= 1.0.59
Requires:		gdk-pixbuf	 >= 0.7.0, gtk+       >= 1.2.5, gnome-libs       >= 1.0.59

%description
Multi Gnome Terminal is an enhanced version of gnome-terminal which has
the following features added:
- Many terminals in each window
- Switch between terminals using shortcuts
- Execution of user defined commands in new terminals (Customizable menus)
- Notification of terminals states using customizable colors for tabs text.
 
All these extensions are inspired by screen and konsole (the kde2 terminal)
and are undoubtly very useful to each user.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# Menu stuff
mkdir -p %{buildroot}{%{_liconsdir},%{_iconsdir},%{_miconsdir},%{_menudir}}
cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}):\
	command="%{_bindir}/%{name}" \
	icon="%{iconname}" \
	title="Multi-Gnome-Terminal" \
	longtitle="%{summary}" \
	needs="x11" \
	section="%{group}"
EOF

convert pixmaps/multignometerm.png -geometry 16 %{buildroot}%{_miconsdir}/%{iconname}
convert pixmaps/multignometerm.png -geometry 32 %{buildroot}%{_iconsdir}/%{iconname}
convert pixmaps/multignometerm.png -geometry 48 %{buildroot}%{_liconsdir}/%{iconname}

%find_lang %name --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
#/sbin/ldconfig
#if which scrollkeeper-update>/dev/null 2>&1; then scrollkeeper-update; fi
%{update_menus}

%postun
#/sbin/ldconfig
#if which scrollkeeper-update>/dev/null 2>&1; then scrollkeeper-update; fi
%{clean_menus}

%files -f %name.lang
%defattr (-, root, root)
%doc AUTHORS ChangeLog NEWS README
%config(noreplace) %{_sysconfdir}/CORBA/servers/multi-gnome-terminal.gnorba
%{_bindir}/%{name}
%attr(%{pty_helper_xs}, %{pty_helper_user}, %{pty_helper_grp}) %{_sbindir}/mgt-pty-helper
%{_datadir}/gnome-terminal/glade/*glade
%{_datadir}/idl/*
%{_mandir}/*/%{name}*
%dir %{_datadir}/omf/mgt
%{_datadir}/omf/mgt/*
%dir %{_datadir}/pixmaps/mgt
%{_datadir}/pixmaps/mgt/*

%{_menudir}/%{name}
%{_miconsdir}/%{iconname}
%{_iconsdir}/%{iconname}
%{_liconsdir}/%{iconname}

%changelog
* Tue Feb 26 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 1.3.13-2mdk
- Fix access rights for %{_sbindir}/mgt-pty-helper

* Tue Feb 26 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 1.3.13-1mdk
- 1.3.13

* Wed Feb 20 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.3.12-2mdk
- use find-lang for help files
- clean up requires

* Tue Feb 19 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 1.3.12-1mdk
- 1.3.12: Should work with gnome-libs 1.4.1.4 again
- Undo Stefan's BuildRequires changes
- Use %%configure2_5x instead of plain %%configure

* Fri Feb 15 2002 Stefan van der Eijk <stefan@eijk.nu> 1.3.11-2mdk
- BuildRequires

* Thu Feb 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.3.11-1mdk
- 1.3.11

* Tue Feb  5 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 1.3.10-2mdk
- MGT needed to be rebuilt for new Gnome

* Sat Jan 12 2002 Alexander Skwar <ASkwar@Linux-Mandrake.com> 1.3.10-1mdk
- 1.3.10

* Tue Dec 25 2001 Alexander Skwar <ASkwar@Linux-Mandrake.com> 1.3.8-1mdk
- 1.3.8

* Fri Dec 14 2001 Alexander Skwar <ASkwar@Linux-Mandrake.com> 1.3.5-1mdk
- First release for Mandrake Contribs

* Thu Nov 01 2001 De Michele Cristiano <demichel@na.infn.it>
- Built 1.3.4 Release which fixes keybindings bug and adds some minor enhancements
* Thu Oct 11 2001 De Michele Cristiano <demichel@na.infn.it>
- Built 1.3.0 Release	
* Sun Oct 01 2001 De Michele Cristiano <demichel@na.infn.it>
- Built 1.2.4 Release
